## genius 1.0.14

=== debian/changelog ===
genius (1.0.14-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg source format 3.0 (quilt).
    - Add debian/source/format.
    - Remove simple-patchsys.mk include.
  * debian/watch:
    - Switch to .xz.
    - Don't run uupdate.
  * debian/control.in:
    - Drop Build-Depends on libgnomevfs2-dev.
    - Bump Build-Depends on libgtk2.0-dev to (>= 2.18.0).
    - Bump Build-Depends on libglib2.0-dev to (>= 2.16.0).
    - Bump Build-Depends on libvte-dev to (>= 0.17.1).
    - Add Build-Depends on gnome-doc-utils (>= 0.3.2).
    - Add Vcs-* fields.
    - Bump Standards-Version to 3.9.2.
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
  * debian/rules:
    - Remove workaround for ia64.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2011 11:31:16 +0200

genius (1.0.9-2) unstable; urgency=low

  * debian/rules:
    - Build with -fno-expensive-optimizations on ia64 to workaround a
      compiler bug that causes genius to segfault (and fail to build
      because of that). Closes: #593289.
  * debian/control.in:
    - Build depend on libreadline-dev rather than on libreadline5-dev.
      Closes: #553763.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 17 Aug 2010 01:04:35 +0200

genius (1.0.9-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 04 Jan 2010 10:46:38 +0100

genius (1.0.8-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Remove unused libtool file.

  [ Sebastian Dröge ]
  * New upstream release:
    + debian/control.in:
      - Update build dependencies.
  * debian/control.in:
    + Update Standards-Version to 3.8.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Nov 2009 10:18:17 +0100

genius (1.0.7-1) unstable; urgency=low

  * New upstream release:
    + debian/control.in:
      - Update build dependencies.
  * debian/control.in:
    + Update Standards-Version to 3.8.2, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 30 Jul 2009 08:33:57 +0200

genius (1.0.6-1) unstable; urgency=low

  * New upstream release:
    + debian/control.in:
      - Wrap all control fields.
      - Update build dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 Mar 2009 09:48:30 +0100

genius (1.0.5-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Wrap build-depends.

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 Feb 2009 15:44:46 +0100

genius (1.0.5-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    + Build depend on intltool.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 12 Feb 2009 06:40:53 +0100

genius (1.0.4-1) experimental; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 08 Feb 2009 08:48:47 +0100

genius (1.0.3-1) unstable; urgency=low

  * debian/rules:
    + Link with --as-needed to get fewer dependencies.
  * New upstream release.
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 11 Jun 2008 09:41:24 +0200

genius (1.0.2-2) unstable; urgency=low

  * debian/control.in:
    + Build against GtkSourceView2 as GtkSourceView1 is deprecated.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Nov 2007 16:36:16 +0100

genius (1.0.2-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_omf-install.patch,
      debian/patches/02_desktop-file.patch,
      debian/patches/99_autoreconf.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 Nov 2007 09:40:17 +0100

genius (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    + Bump Gtk build dependency to >= 2.4.0.
  * debian/rules:
    + Use configure flags to disable building of stuff we don't want to ship
      instead of deleting it by hand.
  * debian/README.Source:
    + Deleted as the tarball is now DFSG free.
  * debian/patches/01_omf-install.patch,
    debian/patches/99_autoreconf.patch:
    + Fix installation of the OMF files.
  * debian/patches/02_desktop-file.patch:
    + Fix category and mimetype field of the desktop file.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 19 Nov 2007 13:59:24 +0100

genius (1.0.0+dfsg1-1) unstable; urgency=low

  * Initial version (Closes: #448407).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 29 Oct 2007 17:44:57 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: genius
Section: gnome
Priority: optional
Maintainer: Sebastian Dröge <slomo@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               autotools-dev,
               gnome-pkg-tools,
               libxml-parser-perl,
               libvte-dev (>= 0.17.1),
               libgtk2.0-dev (>= 2.18.0),
               libglib2.0-dev (>= 2.16.0),
               libgtksourceview2.0-dev (>= 2.0.2),
               flex,
               bison,
               libncurses5-dev,
               libreadline-dev,
               libgmp3-dev,
               libmpfr-dev (>= 2.0.0),
               scrollkeeper,
               intltool,
               gnome-doc-utils (>= 0.3.2)
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/genius
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/genius
Homepage: http://www.5z.com/jirka/genius.html
Standards-Version: 3.9.2

Package: genius
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genius-common (= ${binary:Version})
Description: advanced general purpose calculator program (CLI frontend)
 Genius is a general purpose calculator program similar in some aspects to
 BC, Matlab or Maple. It is useful both as a simple calculator and as a
 research or educational tool. The syntax is very intuitive and is designed
 to mimic how mathematics is usually written.
 .
 This package contains a command line interface for genius.

Package: gnome-genius
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genius-common (= ${binary:Version})
Description: advanced general purpose calculator program (Gnome frontend)
 Genius is a general purpose calculator program similar in some aspects to
 BC, Matlab or Maple. It is useful both as a simple calculator and as a
 research or educational tool. The syntax is very intuitive and is designed
 to mimic how mathematics is usually written.
 .
 This package contains a Gnome frontend for genius.

Package: genius-common
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: advanced general purpose calculator program (common files)
 Genius is a general purpose calculator program similar in some aspects to
 BC, Matlab or Maple. It is useful both as a simple calculator and as a
 research or educational tool. The syntax is very intuitive and is designed
 to mimic how mathematics is usually written.
 .
 This package contains common files for genius.

Package: genius-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-dev (>= 2.12.0),
         libgmp3-dev,
         libmpfr-dev (>= 2.0.0),
         libc6-dev | libc-dev
Description: advanced general purpose calculator program (development files)
 Genius is a general purpose calculator program similar in some aspects to
 BC, Matlab or Maple. It is useful both as a simple calculator and as a
 research or educational tool. The syntax is very intuitive and is designed
 to mimic how mathematics is usually written.
 .
 This package contains development files needed for developing and building
 plugins.

## genius 1.0.15

=== debian/changelog ===
genius (1.0.15-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1044521)
  * debian/control:
    - Use standards version 3.9.3

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 03 Sep 2012 08:41:09 +1200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: genius
 Section: gnome
 Priority: optional
@@ -29,7 +28,7 @@
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/genius
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/genius
 Homepage: http://www.5z.com/jirka/genius.html
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: genius
 Architecture: any

## genius 1.0.16

=== debian/changelog ===
genius (1.0.16-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1092569).

 -- Logan Rosen <logatronico@gmail.com>  Sat, 22 Dec 2012 23:07:23 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: genius
 Section: gnome
 Priority: optional
-Maintainer: Sebastian Dröge <slomo@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                autotools-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/cdbs/1/rules/utils.mk

LDFLAGS+=-Wl,--as-needed
DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --disable-update-mimedb --disable-static

common-binary-post-install:: list-missing

binary-post-install/genius::
	# clean up stuff that shouldn't be shipped
	
	# static libraries and libtool crap
	rm -rf debian/tmp/usr/lib/genius/*a

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/genius/([\d\.]+)/ \
	genius-(.*)\.tar\.xz

## genius 1.0.17

=== debian/changelog ===
genius (1.0.17-1) unstable; urgency=medium

  * Take over package from pkg-gnome
  * New upstream release. Closes: #716731
  * Bump standards version.
  * Update Vcs fields to Git.
  * Move to single-debian-patch

 -- Felipe Sateler <fsateler@debian.org>  Mon, 07 Apr 2014 15:43:04 -0300

genius (1.0.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with newer readline. Closes: #741817 

 -- Felipe Sateler <fsateler@debian.org>  Tue, 01 Apr 2014 16:24:40 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,7 @@
-# This file is autogenerated. DO NOT EDIT!
-# 
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: genius
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Felipe Sateler <fsateler@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                autotools-dev,
@@ -26,10 +20,10 @@
                scrollkeeper,
                intltool,
                gnome-doc-utils (>= 0.3.2)
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/genius
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/genius
+Vcs-Git: git://anonscm.debian.org/collab-maint/genius.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/genius.git;a=summary
 Homepage: http://www.5z.com/jirka/genius.html
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: genius
 Architecture: any

## genius 1.0.19

=== debian/changelog ===
genius (1.0.19-1) unstable; urgency=medium

  * New upstream release

 -- Felipe Sateler <fsateler@debian.org>  Fri, 03 Oct 2014 19:32:16 -0300

genius (1.0.18-1) unstable; urgency=medium

  * New upstream release. LP: #1361778
    - Fix for newer readline applied upstream 
  * Update Vcs-Browser url to cgit
  * Add Build-Depends on libgtk2.0-bin, genius requires gtk-update-icon-cache

 -- Felipe Sateler <fsateler@debian.org>  Mon, 01 Sep 2014 23:52:05 -0400

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,10 @@
                libmpfr-dev (>= 2.0.0),
                scrollkeeper,
                intltool,
-               gnome-doc-utils (>= 0.3.2)
+               gnome-doc-utils (>= 0.3.2),
+               libgtk2.0-bin
 Vcs-Git: git://anonscm.debian.org/collab-maint/genius.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/genius.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/genius.git/
 Homepage: http://www.5z.com/jirka/genius.html
 Standards-Version: 3.9.5

## genius 1.0.20

=== debian/changelog ===
genius (1.0.20-2) unstable; urgency=medium

  * Upload to unstable

 -- Felipe Sateler <fsateler@debian.org>  Tue, 28 Apr 2015 19:22:30 -0300

genius (1.0.20-1) experimental; urgency=medium

  * New upstream release

 -- Felipe Sateler <fsateler@debian.org>  Tue, 14 Apr 2015 17:34:54 -0300

## genius 1.0.21

=== debian/changelog ===
genius (1.0.21-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version

 -- Felipe Sateler <fsateler@debian.org>  Mon, 18 Jan 2016 23:34:42 -0300

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/genius.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/genius.git/
 Homepage: http://www.5z.com/jirka/genius.html
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: genius
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 include /usr/share/cdbs/1/rules/utils.mk

## genius 1.0.22

=== debian/changelog ===
genius (1.0.22-1) unstable; urgency=medium

  * New upstream release

 -- Felipe Sateler <fsateler@debian.org>  Mon, 26 Dec 2016 21:06:52 -0300

genius (1.0.21-2) unstable; urgency=medium

  * New revision
  * Switch from cdbs to dh
  * Bump debhelper compat level to 10
  * Bump Standards-Version (no changes needed)
  * Drop unused build-dependency on gnome-pkg-tools
  * Drop versioned dependencies satisfied in stable
  * Use https for Vcs-* fields
  * Enable hardening build options
  * Do not install test plugin
  * Make genius-dev arch-independent
  * Make genius-common arch-independent
    - Move readline helper fifo to gnome-genius, as it is the only user
  * Drop single-debian-patch local option, will use gbp pq from now on

 -- Felipe Sateler <fsateler@debian.org>  Sat, 17 Sep 2016 13:19:45 -0300

=== debian/control ===
Source: genius
Maintainer: Felipe Sateler <fsateler@debian.org>
Section: gnome
Priority: optional
Build-Depends: debhelper (>= 10),
               autotools-dev,
               libxml-parser-perl,
               libvte-dev,
               libgtk2.0-dev,
               libglib2.0-dev,
               libgtksourceview2.0-dev,
               flex,
               bison,
               libncurses5-dev,
               libreadline-dev,
               libgmp3-dev,
               libmpfr-dev,
               scrollkeeper,
               intltool,
               gnome-doc-utils,
               libgtk2.0-bin
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/genius.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/genius.git
Homepage: http://www.5z.com/jirka/genius.html

Package: genius
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genius-common (>= ${source:Version}),
         genius-common (<= ${source:Version}.)
Description: advanced general purpose calculator program (CLI frontend)
 Genius is a general purpose calculator program similar in some aspects to
 BC, Matlab or Maple. It is useful both as a simple calculator and as a
 research or educational tool. The syntax is very intuitive and is designed
 to mimic how mathematics is usually written.
 .
 This package contains a command line interface for genius.

Package: gnome-genius
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genius-common (>= ${source:Version}),
         genius-common (<= ${source:Version}.)
Description: advanced general purpose calculator program (Gnome frontend)
 Genius is a general purpose calculator program similar in some aspects to
 BC, Matlab or Maple. It is useful both as a simple calculator and as a
 research or educational tool. The syntax is very intuitive and is designed
 to mimic how mathematics is usually written.
 .
 This package contains a Gnome frontend for genius.

Package: genius-common
Architecture: all
Depends: ${misc:Depends}
Description: advanced general purpose calculator program (common files)
 Genius is a general purpose calculator program similar in some aspects to
 BC, Matlab or Maple. It is useful both as a simple calculator and as a
 research or educational tool. The syntax is very intuitive and is designed
 to mimic how mathematics is usually written.
 .
 This package contains common files for genius.

Package: genius-dev
Architecture: all
Section: devel
Depends: ${misc:Depends},
         libglib2.0-dev,
         libgmp3-dev,
         libmpfr-dev,
         libc6-dev | libc-dev
Description: advanced general purpose calculator program (development files)
 Genius is a general purpose calculator program similar in some aspects to
 BC, Matlab or Maple. It is useful both as a simple calculator and as a
 research or educational tool. The syntax is very intuitive and is designed
 to mimic how mathematics is usually written.
 .
 This package contains development files needed for developing and building
 plugins.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --without autoreconf --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --disable-scrollkeeper --disable-update-mimedb --disable-static \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/genius

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/lib -name '*.a' -o -name '*.la' -delete
	# no use for test plugins
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/genius/libtestplugin*

override_dh_install:
	dh_install --fail-missing

## genius 1.0.23

=== debian/changelog ===
genius (1.0.23-3) unstable; urgency=medium

  * Update Vcs-* fields to point to salsa
  * Disable gnome interface.
    It depends on components (vte) to be removed from debian. (Closes: #790171)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 29 Jan 2018 22:58:22 -0300

genius (1.0.23-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version (no changes needed)

 -- Felipe Sateler <fsateler@debian.org>  Wed, 21 Jun 2017 14:40:03 -0400

genius (1.0.23-1) experimental; urgency=medium

  * New upstream release
  * Remove use of gnome-doc-tools and the gnome help system.
    Upstream switched to a plain html help system, and thus the need for the
    gnome doc utilities has been eliminated. (Closes: #829927)
  * Depend directly on gtk-update-icon-cache (Closes: #825454)
  * Use dh_autoreconf instead of autotools_dev.
    Previously, autoreconf did not work out of the box. Now it does
  * Change Gnome => GNOME. Thanks lintian

 -- Felipe Sateler <fsateler@debian.org>  Fri, 12 May 2017 21:15:42 -0300

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,20 @@
 Section: gnome
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               autotools-dev,
                libxml-parser-perl,
-               libvte-dev,
-               libgtk2.0-dev,
-               libglib2.0-dev,
-               libgtksourceview2.0-dev,
                flex,
                bison,
                libncurses5-dev,
                libreadline-dev,
+               libglib2.0-dev,
                libgmp3-dev,
                libmpfr-dev,
-               scrollkeeper,
                intltool,
-               gnome-doc-utils,
-               libgtk2.0-bin
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/genius.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/genius.git
+               gtk-update-icon-cache,
+               pkg-config,
+Standards-Version: 4.0.0
+Vcs-Browser: https://salsa.debian.org/fsateler/genius
+Vcs-Git: https://salsa.debian.org/fsateler/genius.git
 Homepage: http://www.5z.com/jirka/genius.html
 
 Package: genius
@@ -37,20 +32,6 @@
  to mimic how mathematics is usually written.
  .
  This package contains a command line interface for genius.
-
-Package: gnome-genius
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         genius-common (>= ${source:Version}),
-         genius-common (<= ${source:Version}.)
-Description: advanced general purpose calculator program (Gnome frontend)
- Genius is a general purpose calculator program similar in some aspects to
- BC, Matlab or Maple. It is useful both as a simple calculator and as a
- research or educational tool. The syntax is very intuitive and is designed
- to mimic how mathematics is usually written.
- .
- This package contains a Gnome frontend for genius.
 
 Package: genius-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,11 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --parallel --without autoreconf --with autotools_dev
+	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-scrollkeeper --disable-update-mimedb --disable-static \
+	dh_auto_configure -- --disable-update-mimedb --disable-static \
+		--disable-gnome \
 		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/genius
 
 override_dh_auto_install:

## genius 1.0.24

=== debian/changelog ===
genius (1.0.24-2build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:50:28 +0000

genius (1.0.24-2build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:59:37 +0000

genius (1.0.24-2) unstable; urgency=medium

  * Update copyright file.
    Also reformat in machine-readable copyright format

 -- Felipe Sateler <fsateler@debian.org>  Sun, 10 Jun 2018 12:34:37 -0400

genius (1.0.24-1) unstable; urgency=medium

  * New upstream version 1.0.24
  * Reenable gnome interface.
    This version no longer depends on a system VTE
  * Remove --parallel argument to dh, it is default now
  * Use https for watch file
  * Bump Standards-Version

 -- Felipe Sateler <fsateler@debian.org>  Thu, 17 May 2018 15:40:48 -0400

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,10 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-update-mimedb --disable-static \
-		--disable-gnome \
 		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/genius
 
 override_dh_auto_install:

## genius 1.0.25

=== debian/changelog ===
genius (1.0.25-2) unstable; urgency=medium

  * Fix missing syntax highlighting in gnome-genius.
    Thanks to Yavor Doganov for noticing the missing Build-Depends
    on libgtksourceview-4-dev
    (Closes: #954423)

 -- Felipe Sateler <fsateler@debian.org>  Sat, 21 Mar 2020 11:43:46 -0300

genius (1.0.25-1) unstable; urgency=medium

  * New upstream version
    - Ports to GTK-3. Closes: #911164
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unused license definitions for LGPL-2.1+.

 -- Felipe Sateler <fsateler@debian.org>  Sun, 15 Mar 2020 17:59:26 -0300

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,25 @@
 Maintainer: Felipe Sateler <fsateler@debian.org>
 Section: gnome
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                libxml-parser-perl,
+               libgtk-3-dev,
+               libamtk-5-dev,
+               libgtksourceview-4-dev,
+               libglib2.0-dev,
+               libvte-2.91-dev,
                flex,
                bison,
                libncurses5-dev,
                libreadline-dev,
-               libglib2.0-dev,
                libgmp3-dev,
                libmpfr-dev,
                intltool,
                gtk-update-icon-cache,
-               pkg-config,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/fsateler/genius
 Vcs-Git: https://salsa.debian.org/fsateler/genius.git
-Homepage: http://www.5z.com/jirka/genius.html
+Homepage: https://www.5z.com/jirka/genius.html
 
 Package: genius
 Architecture: any
@@ -32,6 +35,20 @@
  to mimic how mathematics is usually written.
  .
  This package contains a command line interface for genius.
+
+Package: gnome-genius
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         genius-common (>= ${source:Version}),
+         genius-common (<= ${source:Version}.)
+Description: advanced general purpose calculator program (GNOME frontend)
+ Genius is a general purpose calculator program similar in some aspects to
+ BC, Matlab or Maple. It is useful both as a simple calculator and as a
+ research or educational tool. The syntax is very intuitive and is designed
+ to mimic how mathematics is usually written.
+ .
+ This package contains a GNOME frontend for genius.
 
 Package: genius-common
 Architecture: all

=== debian/watch ===
version=3
https://ftp.gnome.org/pub/GNOME/sources/genius/([\d\.]+)/ \
	genius-(.*)\.tar\.xz

## genius 1.0.27

=== debian/changelog ===
genius (1.0.27-1) unstable; urgency=medium

  * New upstream relese
    - Drop build-depends on amtk (Closes: #993928)
    - Drop patches applied upstream

 -- Felipe Sateler <fsateler@debian.org>  Thu, 04 Nov 2021 18:39:37 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper-compat (= 12),
                libxml-parser-perl,
                libgtk-3-dev,
-               libamtk-5-dev,
                libgtksourceview-4-dev,
                libglib2.0-dev,
                libvte-2.91-dev,

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,5 @@
 	# no use for test plugins
 	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/genius/libtestplugin*
 
-override_dh_install:
-	dh_install --fail-missing
-
+override_dh_missing:
+	dh_missing --fail-missing

## genius 2.2.0

=== DESCRIPTION ===
Package: genius
Title: Easily Access Song Lyrics from Genius.com
Version: 2.2.0
Authors@R: c(
  person("Josiah", "Parry", email = "josiah.parry@gmail.com", role = c("aut", "cre")),
  person("Nathan", "Barr", email = "nab222@cornell.edu", role = "ctb")
  )
Description: Easily access song lyrics in a tidy way.
URL: https://github.com/josiahparry/genius
BugReports: https://github.com/josiahparry/genius/issues
Depends: R (>= 3.1.2)
Imports: dplyr (>= 0.7.0), rvest, stringr, tidyr, purrr, readr, tibble,
        tidytext, reshape2
License: GPL-2
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Suggests: knitr, rmarkdown, testthat
NeedsCompilation: no
Packaged: 2019-05-05 20:50:57 UTC; josiah
Author: Josiah Parry [aut, cre],
  Nathan Barr [ctb]
Maintainer: Josiah Parry <josiah.parry@gmail.com>
Repository: CRAN
Date/Publication: 2019-05-05 21:10:03 UTC

## genius 2.2.2

=== DESCRIPTION ===
Package: genius
Title: Easily Access Song Lyrics from Genius.com
Version: 2.2.2
Authors@R: c(
  person("Josiah", "Parry", email = "josiah.parry@gmail.com", role = c("aut", "cre")),
  person("Nathan", "Barr", email = "nab222@cornell.edu", role = c("aut", "ctb")),
  person("Chris", "Billingham", email = "chris.billingham@gmail.com", role = "ctb"),
  person("Evan", "Oppenheimer", email = "eoppe1022@gmail.com", role = "ctb")
  )
Description: Easily access song lyrics in a tidy way.
URL: https://github.com/josiahparry/genius
BugReports: https://github.com/josiahparry/genius/issues
Depends: R (>= 3.1.2)
Imports: dplyr (>= 0.7.0), rvest, stringr, tidyr, purrr, readr, tibble,
        tidytext, reshape2, rlang
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-05-26 19:17:53 UTC; josiah
Author: Josiah Parry [aut, cre],
  Nathan Barr [aut, ctb],
  Chris Billingham [ctb],
  Evan Oppenheimer [ctb]
Maintainer: Josiah Parry <josiah.parry@gmail.com>
Repository: CRAN
Date/Publication: 2020-05-28 16:10:02 UTC

## genius 2.2.3

=== DESCRIPTION ===
Package: genius
Title: Easily Access Song Lyrics from Genius.com
Version: 2.2.3
Authors@R: c(
  person("Josiah", "Parry", email = "josiah.parry@gmail.com", role = c("aut", "cre")),
  person("Nathan", "Barr", email = "nab222@cornell.edu", role = c("aut", "ctb")),
  person("Chris", "Billingham", email = "chris.billingham@gmail.com", role = "ctb"),
  person("Evan", "Oppenheimer", email = "eoppe1022@gmail.com", role = "ctb")
  )
Description: Easily access song lyrics in a tidy way.
URL: https://github.com/josiahparry/genius
BugReports: https://github.com/josiahparry/genius/issues
Depends: R (>= 3.1.2)
Imports: dplyr (>= 0.7.0), rvest, stringr, tidyr, purrr, tibble,
        tidytext, reshape2, rlang, magrittr
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.1.1
Suggests: knitr, rmarkdown, testthat
NeedsCompilation: no
Packaged: 2021-07-24 16:32:51 UTC; josiah
Author: Josiah Parry [aut, cre],
  Nathan Barr [aut, ctb],
  Chris Billingham [ctb],
  Evan Oppenheimer [ctb]
Maintainer: Josiah Parry <josiah.parry@gmail.com>
Repository: CRAN
Date/Publication: 2021-07-24 16:50:02 UTC
